{%- set config = {
  'Host *': {},
} | combine(manala_ssh_client_config|default({}, true)) -%}

Host *
    {{ config['Host *'] | manala.roles.ssh_config_parameter('SendEnv', default='') | indent(4) }}
    {{ config['Host *'] | manala.roles.ssh_config_parameter('HashKnownHosts', default=True) | indent(4) }}
    {{ config['Host *'] | manala.roles.ssh_config_parameter('GSSAPIAuthentication', default=True) | indent(4) }}
    {{ config['Host *'] | manala.roles.ssh_config_parameter('GSSAPIDelegateCredentials', default=False) | indent(4) }}
    {{- config['Host *'] | manala.roles.ssh_config_section(exclude=[
      'SendEnv',
      'HashKnownHosts',
      'GSSAPIAuthentication',
      'GSSAPIDelegateCredentials'
    ]) | indent(4) }}

{{ config | manala.roles.ssh_config(exclude=['Host *']) }}
